/* _content/BreweryRating/Components/Components/CompBeer.razor.rz.scp.css */
#box[b-lf8fs4gsyv] {
    border: 3px solid black;
    border-radius: 10px;
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 10px;
    margin: 5px;
}

#deleteBeer[b-lf8fs4gsyv] {
    background-size: contain;
    background: transparent url(images/trashcan.svg) no-repeat center;
    height: 30px;
    aspect-ratio: 1 / 1;
    border: none;
    box-shadow: none;
}

#deleteBeer:hover[b-lf8fs4gsyv] {
    opacity: 0.7;
}

#editBeer[b-lf8fs4gsyv] {
    background-size: contain;
    background: transparent url(images/edit.svg) no-repeat center;
    height: 30px;
    aspect-ratio: 1 / 1;
    border: none;
    box-shadow: none;
}
/* _content/BreweryRating/Components/Components/CompBrewery.razor.rz.scp.css */
.box[b-6tzxxgbcyc] {
    display: flex;
    border: 3px solid black;
    border-radius: 10px;
    background: lightblue;
    padding: 5px;
    align-items: center;
}

.icon-and-locate[b-6tzxxgbcyc] {
    display: flex;
    flex-direction: column;
    & .locate {
        display: none;
        align-self: center;
        margin: 5px;
        background-position: center center;
        background-size: contain;
        background-repeat: no-repeat;
        height: 40px;
        aspect-ratio: 1 / 1;
        background-color: transparent;
        border: none;
        box-shadow: none;
        &:hover {
            opacity: 0.7;
        }
    }
}

.brewery-icon-thumb[b-6tzxxgbcyc] {
    height: 100px;
    aspect-ratio: 1 / 1;
    margin-right: 5px;
    object-fit: cover;
    border-radius: 10px;
    border: 2px solid white;
    box-shadow: 0 2px 4px rgba(0,0,0,0.1);
    text-align: center;
    line-height: 21px;
    font-size: 18px;
    align-content: center;
}

.buttons[b-6tzxxgbcyc] {
    display: flex;
    align-self: center;
    margin-left: auto;
    height: 100%;
    & button {
        margin: 20px;
        background-position: center center;
        background-size: contain;
        background-repeat: no-repeat;
        height: 80px;
        aspect-ratio: 1 / 1;
        background-color: transparent;
        border: none;
        box-shadow: none;
        &:hover {
            opacity: 0.7;
        }
    }
}
.deleteBrewery[b-6tzxxgbcyc] {
    background-image: url(images/trashcan.svg);
}
.locate[b-6tzxxgbcyc] {
    background-image: url(images/marker.png);
    filter: hue-rotate(200deg);
}
.beers[b-6tzxxgbcyc] {
    background-image: url(images/beermug.svg);
}

.edit[b-6tzxxgbcyc] {
    background-image: url(images/edit.svg);
}

@media (max-width: 600px) {  /*responsive layout or mobile portait-mode*/
    .icon-and-locate[b-6tzxxgbcyc] {
        & .locate {
            display: block;
        }
    }
    
    .brewery-icon-thumb[b-6tzxxgbcyc] {
        height: 70px;
        line-height: 15px;
        font-size: 13px;
    }
    
    .buttons[b-6tzxxgbcyc] {
        flex-direction: column;
        & button {
            margin-top: 5px;
            margin-bottom: 5px;
            margin-right: 5px;
            margin-left: 5px;
        }
        & .deleteBrewery[b-6tzxxgbcyc] {
            height: 35px;
        }
        & .beers[b-6tzxxgbcyc] {
            height: 50px;
        }
        & .locate[b-6tzxxgbcyc] {
            display: none;
        }
    }
}
/* _content/BreweryRating/Components/Components/CompBreweryEdit.razor.rz.scp.css */
#page[b-c9zjmvc95k] {
    display: flex;
    flex-direction: column;
    height: 100vh;
}

#mapContainer[b-c9zjmvc95k] {
    position: relative;
    flex: 1;
    min-height: 0;
    padding: 10px;
}

#map[b-c9zjmvc95k] {
    width: 100%;
    height: 100%;
}

#marker[b-c9zjmvc95k] {
    height: 50px;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -100%);
    z-index: 1000;
}

.inputs[b-c9zjmvc95k] { /*input fields + buttons*/
    display: flex;
    flex-direction: row;
    justify-content: space-around;
}

button[b-c9zjmvc95k] {
    align-self: flex-end;
    margin: 5px;
    width: 100px;
}

.input-field[b-c9zjmvc95k] { /*input field + description*/
    display: flex;
    flex-direction: column;
    flex-grow: 4;
    & p {
        margin-top: 5px;
        margin-left: 5px;
        margin-right: 5px;
        margin-bottom: 0;
    }
    & input[b-c9zjmvc95k] {
        margin-top: 0;
        margin-left: 5px;
        margin-right: 5px;
        margin-bottom: 5px;
    }
}

.brewery-icon-preview[b-c9zjmvc95k] {
    max-width: 100px;
    max-height: 100px;
    margin-top: 10px;
    margin-left: 5px;
    display: block;
    border-radius: 8px;
    box-shadow: 0 2px 4px rgba(0,0,0,0.2);
}

.error[b-c9zjmvc95k] {
    color: red;
}

@media (max-width: 600px) {  /*responsive layout or mobile portait-mode*/
    .inputs[b-c9zjmvc95k] {
        flex-direction: column;
    }
    .input-field[b-c9zjmvc95k] {
        flex-direction: row;
        justify-content: space-between;
    }
    .buttons[b-c9zjmvc95k] {
        display: flex;
        flex-direction: row;
        justify-content: space-between;
    }
    button[b-c9zjmvc95k] {
        margin: 10px;
    }
    #mapContainer[b-c9zjmvc95k] {

    }
}
/* _content/BreweryRating/Components/Components/CompConfirmDialog.razor.rz.scp.css */
.modal-backdrop[b-55y2xmwsh9] {
    position: fixed;
    inset: 0;
    background: rgba(0,0,0,.5);
    display: flex;
    justify-content: center;
    align-items: center;
}

.modal-content[b-55y2xmwsh9] {
    background: white;
    padding: 20px;
    border-radius: 8px;
    min-width: 300px;
    align-items: center;
}

.modal-content-buttons[b-55y2xmwsh9] {
    display: flex;
    flex-direction: row;
}

.button-delete[b-55y2xmwsh9] {
    border-color: red;
    background-color: #ff8181;
    &:hover {
        opacity: 0.7;
    }
}
/* _content/BreweryRating/Components/Components/CompInputAutocomplete.razor.rz.scp.css */
.autocomplete-list[b-31y0thzadx] {
    border: 1px solid #ccc;
    max-height: 150px;
    overflow-y: auto;
    padding: 0;
    margin: 0;
    list-style: none;
    position: absolute;
    background: white;
}

.autocomplete-list li[b-31y0thzadx] {
    padding: 5px;
    cursor: pointer;
}

.autocomplete-list li:hover[b-31y0thzadx] {
    background: #eee;
}
/* _content/BreweryRating/Components/Components/CompRating.razor.rz.scp.css */
#box[b-572jlin2jg] {
    border: 3px solid black;
    border-radius: 10px;
}
/* _content/BreweryRating/Components/Components/Group/CompAverageRating.razor.rz.scp.css */
#box[b-g7l8hncba1] {
    border: 3px solid black;
    border-radius: 10px;
}
/* _content/BreweryRating/Components/Components/Group/CompGroup.razor.rz.scp.css */
#box[b-2xpkhoxy12] {
    border: 3px solid black;
    border-radius: 10px;
    padding: 5px;
    margin-top: 10px;
}

.box-content[b-2xpkhoxy12] {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
}

.group-buttons[b-2xpkhoxy12] {
    display: flex;
    flex-direction: column;
}
/* _content/BreweryRating/Components/Layout/MainLayout.razor.rz.scp.css */
.page[b-9ltgymxknr] {
    position: relative;
    display: flex;
    flex-direction: column;
}

main[b-9ltgymxknr] {
    flex: 1;
}

.sidebar[b-9ltgymxknr] {
    background-image: linear-gradient(180deg, rgb(5, 39, 103) 0%, #3a0647 70%);
}

.top-row[b-9ltgymxknr] {
    background-color: #f7f7f7;
    border-bottom: 1px solid #d6d5d5;
    justify-content: flex-end;
    height: 3.5rem;
    display: flex;
    align-items: center;
}

    .top-row[b-9ltgymxknr]  a, .top-row[b-9ltgymxknr]  .btn-link {
        white-space: nowrap;
        margin-left: 1.5rem;
        text-decoration: none;
    }

    .top-row[b-9ltgymxknr]  a:hover, .top-row[b-9ltgymxknr]  .btn-link:hover {
        text-decoration: underline;
    }

    .top-row[b-9ltgymxknr]  a:first-child {
        overflow: hidden;
        text-overflow: ellipsis;
    }
    
@media (max-width: 640.98px) {
    .top-row[b-9ltgymxknr] {
        justify-content: space-between;
    }

    .top-row[b-9ltgymxknr]  a, .top-row[b-9ltgymxknr]  .btn-link {
        margin-left: 0;
    }
}

@media (min-width: 641px) {
    .page[b-9ltgymxknr] {
        flex-direction: row;
    }

    .sidebar[b-9ltgymxknr] {
        width: 250px;
        height: 100vh;
        position: sticky;
        top: 0;
    }

    .top-row[b-9ltgymxknr] {
        position: sticky;
        top: 0;
        z-index: 1;
    }

    .top-row.auth[b-9ltgymxknr]  a:first-child {
        flex: 1;
        text-align: right;
        width: 0;
    }

    .top-row[b-9ltgymxknr], article[b-9ltgymxknr] {
        padding-left: 2rem !important;
        padding-right: 1.5rem !important;
    }
}

#blazor-error-ui[b-9ltgymxknr] {
    background: lightyellow;
    bottom: 0;
    box-shadow: 0 -1px 2px rgba(0, 0, 0, 0.2);
    display: none;
    left: 0;
    padding: 0.6rem 1.25rem 0.7rem 1.25rem;
    position: fixed;
    width: 100%;
    z-index: 1000;
}

    #blazor-error-ui .dismiss[b-9ltgymxknr] {
        cursor: pointer;
        position: absolute;
        right: 0.75rem;
        top: 0.5rem;
    }
/* _content/BreweryRating/Components/Layout/NavMenu.razor.rz.scp.css */
.navbar-toggler[b-i0otkgmhyd] {
    appearance: none;
    cursor: pointer;
    width: 3.5rem;
    height: 2.5rem;
    color: white;
    position: absolute;
    top: 0.5rem;
    right: 1rem;
    border: 1px solid rgba(255, 255, 255, 0.1);
    background: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 30 30'%3e%3cpath stroke='rgba%28255, 255, 255, 0.55%29' stroke-linecap='round' stroke-miterlimit='10' stroke-width='2' d='M4 7h22M4 15h22M4 23h22'/%3e%3c/svg%3e") no-repeat center/1.75rem rgba(255, 255, 255, 0.1);
}

.navbar-toggler:checked[b-i0otkgmhyd] {
    background-color: rgba(255, 255, 255, 0.5);
}

.top-row[b-i0otkgmhyd] {
    height: 3.5rem;
    background-color: rgba(0,0,0,0.4);
}

.navbar-brand[b-i0otkgmhyd] {
    font-size: 1.1rem;
}

.bi[b-i0otkgmhyd] {
    display: inline-block;
    position: relative;
    width: 1.25rem;
    height: 1.25rem;
    margin-right: 0.75rem;
    top: -1px;
    background-size: cover;
}

.bi-house-door-fill-nav-menu[b-i0otkgmhyd] {
    background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='16' height='16' fill='white' class='bi bi-house-door-fill' viewBox='0 0 16 16'%3E%3Cpath d='M6.5 14.5v-3.505c0-.245.25-.495.5-.495h2c.25 0 .5.25.5.5v3.5a.5.5 0 0 0 .5.5h4a.5.5 0 0 0 .5-.5v-7a.5.5 0 0 0-.146-.354L13 5.793V2.5a.5.5 0 0 0-.5-.5h-1a.5.5 0 0 0-.5.5v1.293L8.354 1.146a.5.5 0 0 0-.708 0l-6 6A.5.5 0 0 0 1.5 7.5v7a.5.5 0 0 0 .5.5h4a.5.5 0 0 0 .5-.5Z'/%3E%3C/svg%3E");
}

.bi-plus-square-fill-nav-menu[b-i0otkgmhyd] {
    background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='16' height='16' fill='white' class='bi bi-plus-square-fill' viewBox='0 0 16 16'%3E%3Cpath d='M2 0a2 2 0 0 0-2 2v12a2 2 0 0 0 2 2h12a2 2 0 0 0 2-2V2a2 2 0 0 0-2-2H2zm6.5 4.5v3h3a.5.5 0 0 1 0 1h-3v3a.5.5 0 0 1-1 0v-3h-3a.5.5 0 0 1 0-1h3v-3a.5.5 0 0 1 1 0z'/%3E%3C/svg%3E");
}

.bi-list-nested-nav-menu[b-i0otkgmhyd] {
    background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='16' height='16' fill='white' class='bi bi-list-nested' viewBox='0 0 16 16'%3E%3Cpath fill-rule='evenodd' d='M4.5 11.5A.5.5 0 0 1 5 11h10a.5.5 0 0 1 0 1H5a.5.5 0 0 1-.5-.5zm-2-4A.5.5 0 0 1 3 7h10a.5.5 0 0 1 0 1H3a.5.5 0 0 1-.5-.5zm-2-4A.5.5 0 0 1 1 3h10a.5.5 0 0 1 0 1H1a.5.5 0 0 1-.5-.5z'/%3E%3C/svg%3E");
}

.bi-lock-nav-menu[b-i0otkgmhyd] {
    background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='16' height='16' fill='white' class='bi bi-list-nested' viewBox='0 0 16 16'%3E%3Cpath d='M8 1a2 2 0 0 1 2 2v4H6V3a2 2 0 0 1 2-2zm3 6V3a3 3 0 0 0-6 0v4a2 2 0 0 0-2 2v5a2 2 0 0 0 2 2h6a2 2 0 0 0 2-2V9a2 2 0 0 0-2-2zM5 8h6a1 1 0 0 1 1 1v5a1 1 0 0 1-1 1H5a1 1 0 0 1-1-1V9a1 1 0 0 1 1-1z'/%3E%3C/svg%3E");
}

.bi-person-nav-menu[b-i0otkgmhyd] {
    background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='16' height='16' fill='white' class='bi bi-person' viewBox='0 0 16 16'%3E%3Cpath d='M8 8a3 3 0 1 0 0-6 3 3 0 0 0 0 6Zm2-3a2 2 0 1 1-4 0 2 2 0 0 1 4 0Zm4 8c0 1-1 1-1 1H3s-1 0-1-1 1-4 6-4 6 3 6 4Zm-1-.004c-.001-.246-.154-.986-.832-1.664C11.516 10.68 10.289 10 8 10c-2.29 0-3.516.68-4.168 1.332-.678.678-.83 1.418-.832 1.664h10Z'/%3E%3C/svg%3E");
}

.bi-person-badge-nav-menu[b-i0otkgmhyd] {
    background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='16' height='16' fill='white' class='bi bi-person-badge' viewBox='0 0 16 16'%3E%3Cpath d='M6.5 2a.5.5 0 0 0 0 1h3a.5.5 0 0 0 0-1h-3zM11 8a3 3 0 1 1-6 0 3 3 0 0 1 6 0z'/%3E%3Cpath d='M4.5 0A2.5 2.5 0 0 0 2 2.5V14a2 2 0 0 0 2 2h8a2 2 0 0 0 2-2V2.5A2.5 2.5 0 0 0 11.5 0h-7zM3 2.5A1.5 1.5 0 0 1 4.5 1h7A1.5 1.5 0 0 1 13 2.5v10.795a4.2 4.2 0 0 0-.776-.492C11.392 12.387 10.063 12 8 12s-3.392.387-4.224.803a4.2 4.2 0 0 0-.776.492V2.5z'/%3E%3C/svg%3E");
}

.bi-person-fill-nav-menu[b-i0otkgmhyd] {
    background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='16' height='16' fill='white' class='bi bi-person-fill' viewBox='0 0 16 16'%3E%3Cpath d='M3 14s-1 0-1-1 1-4 6-4 6 3 6 4-1 1-1 1H3Zm5-6a3 3 0 1 0 0-6 3 3 0 0 0 0 6Z'/%3E%3C/svg%3E");
}

.bi-arrow-bar-left-nav-menu[b-i0otkgmhyd] {
    background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='16' height='16' fill='white' class='bi bi-arrow-bar-left' viewBox='0 0 16 16'%3E%3Cpath d='M12.5 15a.5.5 0 0 1-.5-.5v-13a.5.5 0 0 1 1 0v13a.5.5 0 0 1-.5.5ZM10 8a.5.5 0 0 1-.5.5H3.707l2.147 2.146a.5.5 0 0 1-.708.708l-3-3a.5.5 0 0 1 0-.708l3-3a.5.5 0 1 1 .708.708L3.707 7.5H9.5a.5.5 0 0 1 .5.5Z'/%3E%3C/svg%3E");
}

.nav-item[b-i0otkgmhyd] {
    font-size: 0.9rem;
    padding-bottom: 0.5rem;
}

    .nav-item:first-of-type[b-i0otkgmhyd] {
        padding-top: 1rem;
    }

    .nav-item:last-of-type[b-i0otkgmhyd] {
        padding-bottom: 1rem;
    }

    .nav-item[b-i0otkgmhyd]  .nav-link {
        color: #d7d7d7;
        background: none;
        border: none;
        border-radius: 4px;
        height: 3rem;
        display: flex;
        align-items: center;
        line-height: 3rem;
        width: 100%;
    }

.nav-item[b-i0otkgmhyd]  a.active {
    background-color: rgba(255,255,255,0.37);
    color: white;
}

.nav-item[b-i0otkgmhyd]  .nav-link:hover {
    background-color: rgba(255,255,255,0.1);
    color: white;
}

.nav-scrollable[b-i0otkgmhyd] {
    display: none;
}

.navbar-toggler:checked ~ .nav-scrollable[b-i0otkgmhyd] {
    display: block;
}

#version-number[b-i0otkgmhyd] {
    display: block;
    width: 100%;
    color: lightgray;
    font-size: 0.8rem;
    text-align: center;
    align-content: bottom;
    opacity: 0.5;
}

@media (min-width: 641px) {
    .navbar-toggler[b-i0otkgmhyd] {
        display: none;
    }

    .nav-scrollable[b-i0otkgmhyd] {
        /* Never collapse the sidebar for wide screens */
        display: block;

        /* Allow sidebar to scroll for tall menus */
        height: calc(100vh - 3.5rem);
        overflow-y: auto;
    }
}
/* _content/BreweryRating/Components/Pages/Beers.razor.rz.scp.css */
.hidden[b-39m2xwlsxo] {
    display: none;
}

.visible[b-39m2xwlsxo] {
    display: block;
}

.brewery-box[b-39m2xwlsxo] {
    display: flex;
    align-items: center;
    margin-top: 1.1rem;
}

.brewery-icon-thumb[b-39m2xwlsxo] {
    height: 100px;
    aspect-ratio: 1 / 1;
    object-fit: cover;
    border-radius: 10px;
    border: 2px solid white;
    box-shadow: 0 2px 4px rgba(0,0,0,0.1);
    text-align: center;
    line-height: 21px;
    font-size: 18px;
    align-content: center;
}

#locate[b-39m2xwlsxo] {
    background-image: url(images/marker.png);
    filter: hue-rotate(200deg);
    background-position: center center;
    background-size: contain;
    background-repeat: no-repeat;
    height: 50px;
    aspect-ratio: 1 / 1;
    background-color: transparent;
    border: none;
    box-shadow: none;
    &:hover {
        opacity: 0.7;
    }
}

.brewery-info[b-39m2xwlsxo] {
    margin-left: 20px;
}

@media (max-width: 600px) {  /*responsive layout or mobile portait-mode*/
    #locate[b-39m2xwlsxo] {
        height: 40px;
    }
    
    .brewery-icon-thumb[b-39m2xwlsxo] {
        margin: 0;
        height: 80px;
        line-height: 15px;
        font-size: 13px;
    }
    
    .brewery-info[b-39m2xwlsxo] {
        margin-left: 10px;
        margin-right: 10px;
    }
}
/* _content/BreweryRating/Components/Pages/Breweries.razor.rz.scp.css */
#breweries[b-rfxnown97t] {
    
}
/* _content/BreweryRating/Components/Pages/EditBeer.razor.rz.scp.css */
/* _content/BreweryRating/Components/Pages/EditBrewery.razor.rz.scp.css */
/* _content/BreweryRating/Components/Pages/NewBrewery.razor.rz.scp.css */
/* _content/BreweryRating/Components/Pages/Ratings.razor.rz.scp.css */
.buttons[b-wbtj5o6nr0] {
    display: flex;
}
/* _content/BreweryRating/Components/Pages/TierList.razor.rz.scp.css */
.tier-row[b-qv1zagxvvy] {
    display: flex;
    margin-bottom: 5px;
    min-height: 80px;
    border-radius: 10px;
    /*overflow: hidden;*/
    min-width: max-content;
    border: 3px solid black;
}

.tier-label[b-qv1zagxvvy] {
    width: 50px;
    font-size: 2rem;
    font-weight: bold;
    display: flex;
    justify-content: center;
    align-items: center;
    border-right: 3px solid black;
}

.tier-content[b-qv1zagxvvy] {
    display: flex;
    flex-wrap: nowrap;
    gap: 10px;
    padding: 5px;
    min-width: max-content;
}

.beer-card[b-qv1zagxvvy] {
    display: flex;
    flex-direction: column;
    flex: 0 0 auto;
    width: 100px;
    padding: 5px;
    border: 1px solid black;
    border-radius: 6px;
    font-size: 0.75rem;
    background: rgba(255,255,255,.5);
    text-align: center;
    align-content: center;
    justify-content: space-around;
    
}

.tierlist-container[b-qv1zagxvvy] {
    overflow-x: auto;
    overflow-y: hidden;
    width: 100%;
}

.tier-icon[b-qv1zagxvvy] {
    width: 100%;
}

.tier-s[b-qv1zagxvvy] { background: #ff7f7f; }
.tier-a[b-qv1zagxvvy] { background: #ffb366; }
.tier-b[b-qv1zagxvvy] { background: #ffe066; }
.tier-c[b-qv1zagxvvy] { background: #99e699; }
.tier-d[b-qv1zagxvvy] { background: #66d9ff; }
.tier-e[b-qv1zagxvvy] { background: #b399ff; }
.tier-f[b-qv1zagxvvy] { background: #d9d9d9; }
